# Class CladeSystem

java.lang.Object
jebl.evolution.trees.CladeSystem

Direct Known Subclasses:
  `AttributedCladeSystem`

public class CladeSystem extends Object
Stores a set of unique clades for a tree

Version:
  $Id: CladeSystem.java 892 2008-02-27 03:53:11Z twobeers $
Author:
  Andrew Rambaut

## Constructor Summary

Constructors
Constructor
Description
`CladeSystem()`
`CladeSystem(RootedTree tree)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(RootedTree tree)`
adds all the clades in the tree
`Set<Taxon>`
`getClade(int index)`
`int`
`getCladeCount()`
get number of unique clades
`double`
`getCladeFrequency(int index)`
get clade frequency
`String`
`getCladeString(int index)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CladeSystem

public CladeSystem()

### CladeSystem

public CladeSystem(RootedTree tree)

Parameters:
  `tree` -

## Method Details

### getCladeCount

public int getCladeCount()
get number of unique clades

### getClade

public Set<Taxon> getClade(int index)

### getCladeString

public String getCladeString(int index)

### getCladeFrequency

public double getCladeFrequency(int index)
get clade frequency

### add

public void add(RootedTree tree)
adds all the clades in the tree